Subject: bug#24237: 24.5; (elisp)`Extended Menu Items', :filter warning

From: Eli Zaretskii <[email-masked]>
Date: Sun, 13 Dec 2020 19:56:42 +0200

> Date: Sun, 13 Dec 2020 09:24:52 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > I don't think I understand what "this case" is, 
> 
> As was said in the original bug report and has
> been repeated in the thread, this case is the
> 
>  "use of a `menu-item' construct with a :filter
>   to create a conditional _keyboard_ key binding.
>   In such a case, the `menu-item' construct is not
>   a real menu item - it is not placed on any menu."

That doesn't explain anything to me, sorry.

> > but in general menu functions
> 
> Define "menu function", please.  Does this apply
> to the case being discussed: an extended menu
> item that's bound only to a keyboard key, i.e.,
> that's not used in any menu?

I still don't understand what that means in practice.

> > could be called whenever the display engine needs to
> > recalculate the contents and the dimensions of the menu, and that
> > could basically be every redisplay cycle, depending on circumstances.
> 
> See above.  There's no menu involved in the case
> being discussed (at least none that's visible to
> users, AFAIK).  So there should be no need or
> possibility of recalculating menu contents and
> dimensions.

Then you already know the answer and don't need any help, it seems.
But if you do, please explain more about the specific use case you
worry about.